Bug 679156 - udev-166 breaks boot - appears to be /dev/kmsg or /dev/log related - systemd logging wedged
udev-166 breaks boot - appears to be /dev/kmsg or /dev/log related - systemd ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: udev-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-21 13:43 EST by Valdis Kletnieks
Modified: 2014-09-08 08:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-08 08:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2011-02-21 13:43:51 EST
Description of problem:
udev 166-1 breaks the boot on my laptop.  It appears to be logging related - booting with 'LogLevel=debug' shows lots of messages about the logger exiting. Then there's a 60 second or so wait, and all the 'mount' jobs exit with a 'failed timeout'.  Things then go pear-shaped because /usr isn't mounted.

Reverting to udev-164 allows my laptop to boot.  I suspect the issue is
related to /dev/log creation somehow.

Version-Release number of selected component (if applicable):
udev 166-1.fc16

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2011-02-21 14:07:49 EST
/dev/kmsg or /dev/log ??
Comment 2 Valdis Kletnieks 2011-02-21 14:31:38 EST
OK, I changed the summary...

Actually, it's unclear which - I said /dev/kmsg when I opened the problem, then realized that /dev/kmsg was probably OK since I was seeing the systemd 'LogLevel=debug' output in dmesg.  But I can't even tell easily whether it's /lib/systemd/systemd-logger or systemd-kmsg-syslogd that's having the indigestion.

Part of the debugging problem is that the 'retrigger failed events' phase seems to clean up the wreckage, so everything *looks* OK once you get up to single-user mode.  I'll pop -166 back on the laptop and catch the dmesg output later this evening and attach it to the bug report, hopefully you'll be able to see something I'm missing.
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:07:50 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:09:49 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora Admin XMLRPC Client 2011-10-20 12:12:21 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2011-10-20 12:16:42 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Harald Hoyer 2011-10-21 05:51:30 EDT
still a problem?
Comment 8 Fedora End Of Life 2013-04-03 13:55:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 9 Valdis Kletnieks 2014-09-08 08:07:10 EDT
Not sure why this bug is still open, am closing because it got fixed somehow 3 years ago (not sure what the fix/resolution was)

Note You need to log in before you can comment on or make changes to this bug.